/**********************************************************************/
/* MieruPC Project: Sample Version 2009-07-14    Arch Lab. Tokyo Tech */
/**********************************************************************/
#include <mierulib.h>

/**********************************************************************/
int simple_sleep(int n){
    int ret = 0;
    volatile int i;
    for(i=0; i<n; i++) ret = ret + i;
    return ret;
}

/**********************************************************************/
int main(void)
{
    int i;
    int start_time, current_time;
    volatile int *timer_p = (volatile int *) MP_MMAP_TIMER;
    
    lcd_ttyopen(1);
    start_time = *timer_p;

    for(i=0; i<30; i++) {
        simple_sleep(200000);
        
        current_time = *timer_p;
        lcd_printf(" timer %6d msec", (current_time - start_time)/100);
        lcd_nextline();
    }

    return 0;
}

/**********************************************************************/
