/**********************************************************************/
/* MieruPC Project: Sample Version 2009-07-14    Arch Lab. Tokyo Tech */
/**********************************************************************/
#include <mierulib.h>

#define SCREEN_WIDTH_  40
#define SCREEN_HEIGHT  15
/**********************************************************************/
int main(void)
{
    int i;
    int x =19;
    int y = 7;
    volatile int *key_p = (volatile int *) MP_MMAP_KEYCODE;
    
    lcd_ttyopen(1);
    lcd_printf("Up[8], Down[2], Right[6], Left[4]");
    
    for(i=0; i<30; ) {
        int keycode = *key_p & 0xff;
        if(keycode!=0){
            lcd_locate(x, y);
            lcd_printf(" ");
            if((keycode==0x68 || keycode==0x38) && y> 1) y--; // '8'
            if((keycode==0x62 || keycode==0x32) && y<14) y++; // '2'
            if((keycode==0x66 || keycode==0x36) && x<39) x++; // '6'
            if((keycode==0x64 || keycode==0x34) && x> 0) x--; // '4'
            i++;
        }
        lcd_locate(x, y);
        lcd_printf("@");
    }
    return 0;
}

/**********************************************************************/
