/**********************************************************************/
/* MieruPC Project: Sample Version 2009-07-14    Arch Lab. Tokyo Tech */
/**********************************************************************/
#include <mierulib.h>

#define SCREEN_WIDTH_  40
#define SCREEN_HEIGHT  15
/**********************************************************************/
void my_usleep(int tm)
{
    volatile int *p = (volatile int *) MP_MMAP_TIMER;
    int end = (int) *p + tm / 10;
    while (*p < end);
}

/**********************************************************************/
int main(void)
{
    int i=0, x=0, y=0, dx=1, dy=1;

    lcd_ttyopen(1);
    lcd_setcolor(COL_WHITE);

    for(i=0; i<100; i++) {
        lcd_locate(x, y);
        lcd_printf(" ");

        x += dx;
        y += dy;
        if ((x == 0) || (x == SCREEN_WIDTH_ - 1))
            dx = -dx;
        if ((y == 0) || (y == SCREEN_HEIGHT - 1))
            dy = -dy;

        lcd_locate(x, y);
        lcd_printf("@");

        my_usleep(100000);      // 0.1s
    }
    return 0;
}

/**********************************************************************/
