/**********************************************************************/
/* MieruPC Project: Sample Version 2009-07-14    Arch Lab. Tokyo Tech */
/**********************************************************************/
#include <mierulib.h>

#define SCREEN_WIDTH_  40
#define SCREEN_HEIGHT  15

/**********************************************************************/
static unsigned int next = 1;

unsigned int myrand(void) {
    next = next * 1103515245 + 12345;
    return((unsigned)(next/65536) % 32768);
}

/**********************************************************************/
int main(void)
{
    int i;
    unsigned int x, y, c; 
    lcd_ttyopen(1);

    for(i=0; i<1000; i++) {
        x = myrand() % SCREEN_WIDTH_;
        y = myrand() % SCREEN_HEIGHT;
        c = myrand() % 0xff;

        lcd_setcolor(c);
        lcd_locate(x, y);
        lcd_printf("A");
        
    }
    return 0;
}

/**********************************************************************/
